import cv
img = cv.LoadImageM("c:\images\house.jpg", cv.CV_LOAD_IMAGE_GRAYSCALE)
eig_image = cv.CreateMat(img.rows, img.cols, cv.CV_32FC1)
temp_image = cv.CreateMat(img.rows, img.cols, cv.CV_32FC1)
for (x,y) in cv.GoodFeaturesToTrack(img, eig_image, temp_image, 10, 0.04, 1.0, useHarris = True):
    print "good feature at", x,y

cv.SaveImage("c:\images\house_out.jpg",img)

cv.SaveImage("c:\images\house_eig_out.jpg",eig_image)

#cvShowImage("c:\images\house.jpg", img);
#cv.NamedWindow('display')
#cv.MoveWindow('display', 10, 10)
#cv.ShowImage('display', cvImage)

cv.NamedWindow('camera', 1)
cv.ShowImage('camera', img)
